const _Http = getApp().globalData.http;

Page({
	data: {
		loading: true,
		"content": {
			"brandids": [1],
			"itemclassids": [1],
			"pageNumber": 1,
			"pageTotal": 1,
			"where": {
				"condition": ""
			}
		},
	},
	getList(init) {
		if (init.detail != undefined) init = init.detail;
		let content = this.data.content;
		if (init) content.pageNumber = 1;
		if (content.pageNumber > content.pageTotal) return;
		_Http.basic({
			"id": 20220924163802,
			content
		}).then(res => {
			this.selectComponent('#ListBox').RefreshToComplete();
			console.log("商品列表", res)
		})
	},

	onInput(e) {
		this.setData({
			"content.where.condition": e.detail.value
		})
	},
	onClear() {
		this.setData({
			"content.where.condition": ""
		})
	},

	onLoad(options) {
		setTimeout(() => {
			this.setData({
				loading: false
			})
		}, 1000)
	},


	onReady() {
		this.setListHeight()
	},
	/* 设置页面高度 */
	setListHeight() {
		this.selectComponent("#ListBox").setHeight(".head", this);
	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow() {

	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide() {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload() {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh() {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom() {

	},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage() {

	}
})